std::pointer_to_binary_function< _Arg1, _Arg2, _Result >(3cxx)

NAME
std::pointer_to_binary_function< _Arg1, _Arg2, _Result > - One of the adaptors for function pointers.

SYNOPSIS

Inherits std::binary_function< _Arg1, _Arg2, _Result >.

  Public Types

typedef _Arg1 first_argument_type
first_argument_type is the type of the first argument
typedef _Result result_type
result_type is the return type
typedef _Arg2 second_argument_type
second_argument_type is the type of the second argument

  Public Member Functions

pointer_to_binary_function (_Result(*__x)(_Arg1, _Arg2))
_Result operator() (_Arg1 __x, _Arg2 __y) const

  Protected Attributes

_Result(* _M_ptr )(_Arg1, _Arg2)

Detailed Description

  template<typename _Arg1, typename _Arg2, typename _Result>
class std::pointer_to_binary_function< _Arg1, _Arg2, _Result >" One of the adaptors for function pointers.

Definition at line 1081 of file stl_function.h.

Member Typedef Documentation

  template<typename _Arg1 , typename _Arg2 , typename _Result > typedef _Arg1 std::binary_function< _Arg1, _Arg2, _Result >::first_argument_type [inherited]

first_argument_type is the type of the first argument

Definition at line 121 of file stl_function.h.

  template<typename _Arg1 , typename _Arg2 , typename _Result > typedef _Result std::binary_function< _Arg1, _Arg2, _Result >::result_type [inherited]

result_type is the return type

Definition at line 127 of file stl_function.h.

  template<typename _Arg1 , typename _Arg2 , typename _Result > typedef _Arg2 std::binary_function< _Arg1, _Arg2, _Result >::second_argument_type [inherited]

second_argument_type is the type of the second argument

Definition at line 124 of file stl_function.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.